GRPCK(8)

NOME
grpck - verifica l'integrità dei file dei gruppi

SINOSSI

grpck [opzioni] [gruppo [ shadow ]]

DESCRIZIONE

The grpck command verifies the integrity of the groups information. It checks that all entries in /etc/group and /etc/gshadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Vengono fatti controlli per verificare che ogni voce abbia:

    • il corretto numero di campi

    • un nome univoco e valido di gruppo

    • a valid group identifier (/etc/group only)

    • a valid list of members and administrators

    • a corresponding entry in the /etc/gshadow file (respectively /etc/group for the gshadow checks)

The checks for correct number of fields and unique group name are fatal. If an entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated group name is prompted for deletion, but the remaining checks will still be made. All other errors are warnings and the user is encouraged to run the groupmod command to correct the error.

The commands which operate on the /etc/group and /etc/gshadow files are not able to alter corrupted or duplicated entries. grpck should be used in those circumstances to remove the offending entries.

OPZIONI

The -r and -s options cannot be combined.

The options which apply to the grpck command are:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-r, --read-only
    Execute the grpck command in read-only mode. This causes all questions regarding changes to be answered no without user intervention.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sort
    Sort entries in /etc/group and /etc/gshadow by GID.

-S, --silence-warnings
    Suppress more controversial warnings, in particular warnings about inconsistency between group members listed in /etc/group and /etc/ghadow.

By default, grpck operates on /etc/group and /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

VALORI RESTITUITI

The grpck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad group entries

3
    can't open group files

4
    can't lock group files

5
    can't update group files

VEDERE ANCHE

group(5), groupmod(8), gshadow(5), passwd(5), pwck(8), shadow(5).